$kind: http-request
url: "{{Local_URL}}procurement/purchase_requests"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
  Accept: application/json
body:
  type: formdata
  content:
    - type: text
      key: title
      value: Tranvel to tanzania
    - type: text
      key: procurement_type
      value: Direct
    - type: text
      key: requisition_date
      value: 2025-12-07
    - type: text
      key: required_by_date
      value: 2025-12-29
    - type: text
      key: priority
      value: High
    - type: text
      key: requested_by
      value: 3e80bd6d-cd96-48ff-8a62-db10202206d6
    - type: text
      key: department_id
      value: 863cc494-10aa-4d00-9e07-4ce59405032f
    - type: text
      key: budget_id
      value: 8e4f5c08-80b7-4bc6-ab29-431cec0a8a61
    - type: file
      key: attachments[]
      src: ""
    - type: text
      key: purpose
      value: Ppse
    - type: text
      key: special_instructions
      value: Deliver
    - type: text
      key: items[0][item_type]
      value: Custom
    - type: text
      key: items[0][item_name]
      value: ITEM One
    - type: text
      key: items[0][description]
      value: dkc
    - type: text
      key: items[0][quantity]
      value: "100"
    - type: text
      key: items[0][uom_id]
      value: 303e54a4-6eb1-454f-8baf-160574b24f7c
    - type: text
      key: items[0][currency_id]
      value: e4697814-7f8d-4207-94a5-fd435c0a4a61
    - type: text
      key: items[0][estimated_unit_price]
      value: "400"
    - type: text
      key: items[0][exchange_rate]
      value: ""
      disabled: true
    - type: text
      key: items[0][specification]
      value: Specis
    - type: text
      key: items[0][budget_item_id]
      value: 22fc307d-8192-4eab-85b1-5e63e1143c88
    - type: text
      key: required_by_date
      value: 2028-02-01
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 2000
